%global pypi_name cryptography
%global commitId c18d0567386414efa3caef7ed586c4ca75bf3a8b

%global common_description %{expand:
Cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.}
%global common_summary %{expand: PyCA's cryptography library}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        38.0.4
Release:        2%{?dist}
Summary:        %{common_summary}

License:        (Apache-2.0 OR BSD-3-Clause) AND PSF-2.0
URL:            https://github.com/pyca/cryptography
Source0:        python-cryptography-c18d0567386414efa3caef7ed586c4ca75bf3a8b.tar.gz
Source1:        cryptography-%{version}-vendor.tar.bz2
Patch0:         CVE-2023-23931.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  openssl-devel
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  rust-toolset

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-cffi >= 1.12
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six >= 1.4.1
BuildRequires:  python%{python3_pkgversion}-setuptools-rust >= 0.11.4

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-cffi >= 1.12

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -p 1 -n python-%{pypi_name}-%{commitId}

%cargo_prep -V 1

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.rst
%license LICENSE LICENSE.APACHE LICENSE.BSD LICENSE.PSF
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 16 2023 Satoe Imaishi <simaishi@redhat.com> 38.0.4-2
- Fix CVE-2023-23931 (Don't allow update_into to mutate immutable objects)

* Thu Feb 02 2023 James Marshall <jamarsha@redhat.com> 38.0.4-1
- Bump release

* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.4.8-2
- Rebuild for multiarch

* Tue Apr 26 2022 Odilon Sousa <osousa@redhat.com> - 3.4.8-1
- Release python-cryptography 3.4.8

* Mon Sep 13 2021 Evgeni Golov - 3.1.1-1
- Release python-cryptography 3.1.1

* Wed Sep 08 2021 Evgeni Golov - 2.9.2-2
- Build against Python 3.8

* Tue Apr 28 2020 Evgeni Golov 2.9.2-1
- Update to 2.9.2

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.8-2
- Bump release to build for el8

* Tue Nov 19 2019 Evgeni Golov - 2.8-1
- Initial package.
